# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Class DocumentListRevisionFeedLink

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Link
                  com.google.gdata.data.extensions.FeedLink<RevisionFeed>
                      com.google.gdata.data.docs.DocumentListRevisionFeedLink

All Implemented Interfaces:
  Extension, ILink, Reference

    public class DocumentListRevisionFeedLink

extends FeedLink<RevisionFeed>

Represents a FeedLink referring to a RevisionFeed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Link
`Link.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Nested classes/interfaces inherited from interface com.google.gdata.data.ILink
`ILink.Rel, ILink.Type`

Field Summary

Fields inherited from class com.google.gdata.data.extensions.FeedLink
`countHint, feed, feedClass, readOnly`

Fields inherited from class com.google.gdata.data.Link
`content, etag, href, hrefLang, length, rel, title, titleLang, type`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`DocumentListRevisionFeedLink()`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.

Methods inherited from class com.google.gdata.data.extensions.FeedLink
`generate, getCountHint, getDefaultDescription, getFeed, getFeedClass, getHandler, getReadOnly, getType, setCountHint, setFeed, setReadOnly, visitChildren`

Methods inherited from class com.google.gdata.data.Link
`generateAtom, generateRss, getContent, getEtag, getHref, getHrefLang, getLength, getRel, getTitle, getTitleLang, matches, setContent, setEtag, setHref, setHrefLang, setLength, setRel, setTitle, setTitleLang, setType`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentListRevisionFeedLink

    public DocumentListRevisionFeedLink()

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.